//
//  EnvConfig.swift
//  core
//
//  Created by Admin on 04/04/22.
//

import Foundation


public struct EnvConfig: Codable {
    let REACT_APP_APP_ENV: String
    let REACT_APP_ENABLE_RAYGUN: String
    let REACT_APP_ENABLE_RAYGUN_RUM: String
    let REACT_APP_RAYGUN_API_KEY: String
    let REACT_APP_RAYGUN_API_ENDPOINT: String
    let REACT_APP_CAPTURE_SOCKET_URI: String
    let REACT_APP_API_SERVER_URI: String
    let REACT_APP_VKYC_SOCKET_URI: String
    let REACT_APP_MOCK_ALL: String
    let REACT_APP_LOGGER_URL: String
    let REACT_APP_ENABLE_LOGGING: String
    let REACT_APP_MEDIA_SERVER_URI: String
    let REACT_APP_AADHAAR_XML_SCRAPING_API: String
    let REACT_APP_SV_MEDIA_CONSTRAINTS: String
    let REACT_APP_AV_MEDIA_CONSTRAINTS: String
    let REACT_APP_SDP_CONSTRAINTS: String
    let REACT_APP_SCHEDULING_BASE_URI: String
    let REACT_APP_PRIMARY_VIDEO: String
    let REACT_APP_TEST_MEDIA_SERVER: String
    let REACT_APP_AVKYC_PERMISSION_CHECK: String
    let REACT_APP_RECONNECT_ON_SWITCH_ERROR: String
    let REACT_APP_SCREEN_AWAKE_VIDEO_URI: String
    let REACT_APP_STORAGE_AUTH_SERVICE: String
    let REACT_APP_STORAGE_AUTH_TYPE: String
    let REACT_APP_ENABLE_PLAY_AFTER_PUBLISH: String
    let REACT_APP_SELF_VIDEO_SERVICE_BASE_URI: String
    let REACT_APP_SOCKET_RECONNECT_TIMEOUT: String
    let REACT_APP_NETWORK_CHECK_SERVICE_BASE_URI: String
    let REACT_APP_VKYC_BACKEND_BASE_URI: String
    let REACT_APP_ALLOWED_REDIRECTS: String
    let REACT_APP_USE_IMAGE_CAPTURE_API_DURING_VIDEO_CALL: String
    let REACT_APP_LOWEST_DOWNSCALE_BITRATE: String
    let REACT_APP_ENABLE_VARIABLE_BITRATE: String
    let REACT_APP_SELF_VIDEO_SSE_BASE_URI: String
    let REACT_APP_DOCUMENT_FETCHER_BASE_URI: String
    let REACT_APP_ADVANCED_HEALTH_CHECK_ENABLED: String
    let REACT_APP_USE_STORAGE_SERVICE: String
    let REACT_APP_APPEND_AUTH_PARAMS: String

    private enum CodingKeys: String, CodingKey {
        case REACT_APP_APP_ENV = "REACT_APP_APP_ENV"
        case REACT_APP_ENABLE_RAYGUN = "REACT_APP_ENABLE_RAYGUN"
        case REACT_APP_ENABLE_RAYGUN_RUM = "REACT_APP_ENABLE_RAYGUN_RUM"
        case REACT_APP_RAYGUN_API_KEY = "REACT_APP_RAYGUN_API_KEY"
        case REACT_APP_RAYGUN_API_ENDPOINT = "REACT_APP_RAYGUN_API_ENDPOINT"
        case REACT_APP_CAPTURE_SOCKET_URI = "REACT_APP_CAPTURE_SOCKET_URI"
        case REACT_APP_API_SERVER_URI = "REACT_APP_API_SERVER_URI"
        case REACT_APP_VKYC_SOCKET_URI = "REACT_APP_VKYC_SOCKET_URI"
        case REACT_APP_MOCK_ALL = "REACT_APP_MOCK_ALL"
        case REACT_APP_LOGGER_URL = "REACT_APP_LOGGER_URL"
        case REACT_APP_ENABLE_LOGGING = "REACT_APP_ENABLE_LOGGING"
        case REACT_APP_MEDIA_SERVER_URI = "REACT_APP_MEDIA_SERVER_URI"
        case REACT_APP_AADHAAR_XML_SCRAPING_API = "REACT_APP_AADHAAR_XML_SCRAPING_API"
        case REACT_APP_SV_MEDIA_CONSTRAINTS = "REACT_APP_SV_MEDIA_CONSTRAINTS"
        case REACT_APP_AV_MEDIA_CONSTRAINTS = "REACT_APP_AV_MEDIA_CONSTRAINTS"
        case REACT_APP_SDP_CONSTRAINTS = "REACT_APP_SDP_CONSTRAINTS"
        case REACT_APP_SCHEDULING_BASE_URI = "REACT_APP_SCHEDULING_BASE_URI"
        case REACT_APP_PRIMARY_VIDEO = "REACT_APP_PRIMARY_VIDEO"
        case REACT_APP_TEST_MEDIA_SERVER = "REACT_APP_TEST_MEDIA_SERVER"
        case REACT_APP_AVKYC_PERMISSION_CHECK = "REACT_APP_AVKYC_PERMISSION_CHECK"
        case REACT_APP_RECONNECT_ON_SWITCH_ERROR = "REACT_APP_RECONNECT_ON_SWITCH_ERROR"
        case REACT_APP_SCREEN_AWAKE_VIDEO_URI = "REACT_APP_SCREEN_AWAKE_VIDEO_URI"
        case REACT_APP_STORAGE_AUTH_SERVICE = "REACT_APP_STORAGE_AUTH_SERVICE"
        case REACT_APP_STORAGE_AUTH_TYPE = "REACT_APP_STORAGE_AUTH_TYPE"
        case REACT_APP_ENABLE_PLAY_AFTER_PUBLISH = "REACT_APP_ENABLE_PLAY_AFTER_PUBLISH"
        case REACT_APP_SELF_VIDEO_SERVICE_BASE_URI = "REACT_APP_SELF_VIDEO_SERVICE_BASE_URI"
        case REACT_APP_SOCKET_RECONNECT_TIMEOUT = "REACT_APP_SOCKET_RECONNECT_TIMEOUT"
        case REACT_APP_NETWORK_CHECK_SERVICE_BASE_URI = "REACT_APP_NETWORK_CHECK_SERVICE_BASE_URI"
        case REACT_APP_VKYC_BACKEND_BASE_URI = "REACT_APP_VKYC_BACKEND_BASE_URI"
        case REACT_APP_ALLOWED_REDIRECTS = "REACT_APP_ALLOWED_REDIRECTS"
        case REACT_APP_USE_IMAGE_CAPTURE_API_DURING_VIDEO_CALL = "REACT_APP_USE_IMAGE_CAPTURE_API_DURING_VIDEO_CALL"
        case REACT_APP_LOWEST_DOWNSCALE_BITRATE = "REACT_APP_LOWEST_DOWNSCALE_BITRATE"
        case REACT_APP_ENABLE_VARIABLE_BITRATE = "REACT_APP_ENABLE_VARIABLE_BITRATE"
        case REACT_APP_SELF_VIDEO_SSE_BASE_URI = "REACT_APP_SELF_VIDEO_SSE_BASE_URI"
        case REACT_APP_DOCUMENT_FETCHER_BASE_URI = "REACT_APP_DOCUMENT_FETCHER_BASE_URI"
        case REACT_APP_ADVANCED_HEALTH_CHECK_ENABLED = "REACT_APP_ADVANCED_HEALTH_CHECK_ENABLED"
        case REACT_APP_USE_STORAGE_SERVICE = "REACT_APP_USE_STORAGE_SERVICE"
        case REACT_APP_APPEND_AUTH_PARAMS = "REACT_APP_APPEND_AUTH_PARAMS"

    }
    public func getREACT_APP_APP_ENV() -> String {
        return REACT_APP_APP_ENV
    }

    public func getREACT_APP_ENABLE_RAYGUN() -> String {
        return REACT_APP_ENABLE_RAYGUN
    }

    public func getREACT_APP_ENABLE_RAYGUN_RUM() -> String {
        return REACT_APP_ENABLE_RAYGUN_RUM
    }

    public func getREACT_APP_RAYGUN_API_KEY() -> String {
        return REACT_APP_RAYGUN_API_KEY
    }

    public func getREACT_APP_RAYGUN_API_ENDPOINT() -> String {
        return REACT_APP_RAYGUN_API_ENDPOINT
    }

    public func getREACT_APP_CAPTURE_SOCKET_URI() -> String {
        return REACT_APP_CAPTURE_SOCKET_URI
    }

    public func getREACT_APP_API_SERVER_URI() -> String {
        return REACT_APP_API_SERVER_URI
    }

    public func getREACT_APP_VKYC_SOCKET_URI() -> String {
        return REACT_APP_VKYC_SOCKET_URI
    }

    public func getREACT_APP_MOCK_ALL() -> String {
        return REACT_APP_MOCK_ALL
    }

    public func getREACT_APP_LOGGER_URL() -> String {
        return REACT_APP_LOGGER_URL
    }

    public func getREACT_APP_ENABLE_LOGGING() -> String {
        return REACT_APP_ENABLE_LOGGING
    }

    public func getREACT_APP_MEDIA_SERVER_URI() -> String {
        return REACT_APP_MEDIA_SERVER_URI;

    }

    public func getREACT_APP_AADHAAR_XML_SCRAPING_API() -> String {
        return REACT_APP_AADHAAR_XML_SCRAPING_API
    }

    public func getREACT_APP_SV_MEDIA_CONSTRAINTS() -> String {
        return REACT_APP_SV_MEDIA_CONSTRAINTS
    }

    public func getREACT_APP_AV_MEDIA_CONSTRAINTS() -> String {
        return REACT_APP_AV_MEDIA_CONSTRAINTS
    }

    public func getREACT_APP_SDP_CONSTRAINTS() -> String {
        return REACT_APP_SDP_CONSTRAINTS
    }

    public func getREACT_APP_SCHEDULING_BASE_URI() -> String {
        return REACT_APP_SCHEDULING_BASE_URI
    }

    public func getREACT_APP_PRIMARY_VIDEO() -> String {
        return REACT_APP_PRIMARY_VIDEO
    }

    public func getREACT_APP_TEST_MEDIA_SERVER() -> String {
        return REACT_APP_TEST_MEDIA_SERVER
    }

    public func getREACT_APP_AVKYC_PERMISSION_CHECK() -> String {
        return REACT_APP_AVKYC_PERMISSION_CHECK
    }

    public func getREACT_APP_RECONNECT_ON_SWITCH_ERROR() -> String {
        return REACT_APP_RECONNECT_ON_SWITCH_ERROR
    }

    public func getREACT_APP_SCREEN_AWAKE_VIDEO_URI() -> String {
        return REACT_APP_SCREEN_AWAKE_VIDEO_URI
    }

    public func getREACT_APP_STORAGE_AUTH_SERVICE() -> String {
        return REACT_APP_STORAGE_AUTH_SERVICE
    }

    public func getREACT_APP_STORAGE_AUTH_TYPE() -> String {
        return REACT_APP_STORAGE_AUTH_TYPE
    }

    public func getREACT_APP_ENABLE_PLAY_AFTER_PUBLISH() -> String {
        return REACT_APP_ENABLE_PLAY_AFTER_PUBLISH
    }

    public func getREACT_APP_SELF_VIDEO_SERVICE_BASE_URI() -> String {
        return REACT_APP_SELF_VIDEO_SERVICE_BASE_URI
    }

    public func getREACT_APP_SOCKET_RECONNECT_TIMEOUT() -> String {
        return REACT_APP_SOCKET_RECONNECT_TIMEOUT
    }

    public func getREACT_APP_NETWORK_CHECK_SERVICE_BASE_URI() -> String {
        return REACT_APP_NETWORK_CHECK_SERVICE_BASE_URI;
    }

    public func getREACT_APP_VKYC_BACKEND_BASE_URI() -> String {
        return REACT_APP_VKYC_BACKEND_BASE_URI
    }

    public func getREACT_APP_ALLOWED_REDIRECTS() -> String {
        return REACT_APP_ALLOWED_REDIRECTS
    }

    public func getREACT_APP_USE_IMAGE_CAPTURE_API_DURING_VIDEO_CALL() -> String {
        return REACT_APP_USE_IMAGE_CAPTURE_API_DURING_VIDEO_CALL
    }

    public func getREACT_APP_LOWEST_DOWNSCALE_BITRATE() -> String {
        return REACT_APP_LOWEST_DOWNSCALE_BITRATE
    }

    public func getREACT_APP_ENABLE_VARIABLE_BITRATE() -> String {
        return REACT_APP_ENABLE_VARIABLE_BITRATE
    }

    public func getREACT_APP_SELF_VIDEO_SSE_BASE_URI()  -> String{
        return REACT_APP_SELF_VIDEO_SSE_BASE_URI
    }

    public func getREACT_APP_DOCUMENT_FETCHER_BASE_URI() -> String {
        return REACT_APP_DOCUMENT_FETCHER_BASE_URI
    }

    public func getREACT_APP_ADVANCED_HEALTH_CHECK_ENABLED() -> String {
        return REACT_APP_ADVANCED_HEALTH_CHECK_ENABLED
    }

    public func getREACT_APP_USE_STORAGE_SERVICE() -> String {
        return REACT_APP_USE_STORAGE_SERVICE
    }

    public func getREACT_APP_APPEND_AUTH_PARAMS() -> String {
        return REACT_APP_APPEND_AUTH_PARAMS
    }
}
